/* MOBILE FIRST */

body {
    font-family: poppins, sans-serif;
    background-color: #f2f2f2;
    margin: 0;
    border: 0;
    padding: 0;
}

header {
    display: flex;
    flex-direction: column;
    align-items: left;
    margin-left: 5%;
}

a {
    text-decoration: none;
    color: #ff4d00;
}

header p {
    font-weight: 400;
    font-size: 1em;
}

h1 {
    font-size: 2.5rem;
    font-weight: 500;
    width: 70%;
    line-height: 1em;
    margin-top: 2vh;
    margin-bottom: 2vh;
}

h2 {
    font-size: 2.5rem;
    font-weight: 200;
    margin-top: 2vh;
    margin-bottom: 2vh;
}

h3 {
    font-size: 1.25rem;
    font-weight: 300;
    width: 80%;
}

h4 {
    font-size: 2rem;
    font-weight: 400;
    margin-top: 2vh;
    margin-bottom: 2vh;
}

h5 {
    font-size: 1.5rem;
    font-weight: 700;
}

h6 {
    text-align: center;
    font-size: 1.25rem;
    font-weight: 400;
}

#div1 {
    display: flex;
    width: 90vw;
    flex-direction: column;
    margin: auto;
    margin-bottom: 10vh;
}

#canvasSection1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 2vh;
}

#canvasSection1 p {
    margin: 0;
    font-weight: 500;
    color: #ff4d00;
}

#canvasSection1 img {
    width: 20%;
    height: auto;
}

#canvas1 {
    width: 300px;
    height: 300px;
    margin: auto;
}


#div2,
#div4, 
#div7,
#div9 {
    display: flex;
    width: 100vw;
    flex-direction: column;
    align-items: center;
    margin: auto;
    margin-top: 5vh;
    background-color: black;
    color: #f2f2f2;
}

#div2 h4,
#div7 h4,
h5 {
    text-align: center;
}

#div2 h5 {
    margin-top: 1vh !important;
    margin-bottom: 0;
}

#div2 h6 {
    width: 90%;
    margin-top: 2vh;
    margin-left: auto;
    margin-right: auto;
}

#imageSection2 {
    display: flex;
    align-items: center;
    flex-direction: column;
}

#imageSection1 {
    display: flex;
    align-items: center;
    flex-direction: column;
}

#imageSection1 img {
    margin-top: 5vh;
    width: 50%;
}

#imageSection2 img {
    width: 95%;
}

#slider {
    display: flex;
    flex-direction: column;
}

#div4 h4,
h5 {
    text-align: center;
}

#div4 h5 {
    margin-bottom: 0;
}

#div4 h6 {
    width: 90%;
    margin-top: 2vh;
    margin-left: auto;
    margin-right: auto;
}

#imageSection4 {
    display: flex;
    align-items: center;
    flex-direction: column;
}

#linkSection9 {
    display: flex;
    flex-direction: row;
    min-width: 20%;
    justify-content: space-between;
    align-content: center;
    align-items: center;
    margin-top: 5vh;
    margin-bottom: 2vh;
    gap: 10px;
}

#linkSection9 img {
    width: 50px;
    height: auto;
}

#imageSection4 img {
    width: 95%;
    margin-top: 20px;
    border: solid 1px #f2f2f2;
}

#clickMe {
    display: none;
}

.sliderElement {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 95%;
    margin: auto;
}

.sliderElement img {
    width: 100%;
    height: auto;

}

#div5 {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
    margin: auto;
    margin-top: 5vh;
    background-color: #f2f2f2;
    color: #f2f2f2;
}

#imageSection5 {
    order: 2;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

#imageSection5 img{
    width: 95%;
    margin: auto;
}

#textSection5 {
    order: 1;
    width: 90%;
    color: black;
    text-align: center;
}

#textSection5 h5,
#textSection7 h6{
    margin-top: 0;
    margin-bottom: 0;
}

#textSection5 h6,
#textSection7 h6{
    width: 90%;
    margin-top: 2vh;
    margin-left: auto;
    margin-right: auto;
}

#div6 {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
    margin: auto;
    margin-top: 5vh;
    background-color: black;
    color: #f2f2f2;
}

#textSection6 {
    width: 90%;
    text-align: center;
}

#textSection6 h5 {
    margin-top: 5vh;
    margin-bottom: 0;
}

#textSection6 h6 {
    width: 90%;
    margin-top: 2vh;
    margin-left: auto;
    margin-right: auto;
}

#imageSection6 {
    display: flex;
    align-items: center;
    flex-direction: column;
}

#div8 {
    width: 100vw;
    display: flex;
    flex-direction: column;
    margin-top: 5vh;
}

#videoSection {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-top: 5vh;
}

.videoSection {
    width: 95%;
    margin-bottom: 10px;
    height: auto;
}
footer {
    text-align: center;
    height: 15vh;
    padding-top: 7.5vh;
    color: #f2f2f2;
    background-color: black;
}

.furnitureElement {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 95%;
    margin-bottom: 10px;
}

.furnitureElement img {
    width: 100%;
    height: auto;
}

.tagWhite {
    color: #f2f2f2;
    border-radius: 10px;
    border: solid 1px #f2f2f2;
    font-size: 0.7rem;
    padding-left: 0.4rem;
    padding-right: 0.4rem;
}


.tagBlack {
    color: black;
    border-radius: 10px;
    border: solid 1px black;
    font-size: 0.7rem;
    padding-left: 0.4rem;
    padding-right: 0.4rem;
}


@media screen and (min-width: 768px) {

    body {
        overflow-x: hidden;
    }

    header {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        margin-top: 5vh;
        margin-left: 15%;
        margin-right: 15%;
    }

    h1 {
        width: 100%;
    }

    h3 {
        width: 100%;
    }

    h4 {
        font-size: 2.5rem;
    }

    #div1 {
        width: 100vw;
        height: 100vh;
        margin-top: 5vh;
        flex-direction: row;
    }

    #textSection1 {
        width: 35vw;
        margin-top: 20vh;
        margin-left: 15%;
    }

    #canvasSection1 {
        width: 40vw;
        justify-items: center;
    }

    #canvasSection1 img {
        width: 10%;
        height: auto;
    }

    #canvas1 {
        width: 90%;
        height: 90%;
        margin-bottom: 0;
        margin: auto;
    }

    #div2 {
        width: 100vw;
        height: 80vh;
        flex-direction: row;
        margin-top: 5vh;
    }

    #textSection2
    {
        display: flex;
        height: 90%;
        flex-direction: column;
    }

    #textSection2 h4
   {
        width: 80%;
        margin-left: 25%;
        text-align: left;
        margin-bottom: 10vh;
    }

    #textSection2 h5 {
        width: 80%;
        text-align: left;
        margin-top: 5vh;
        margin-left: 25%;
        margin-right: auto;
    }

    #textSection2 h6 {
        width: 80%;
        text-align: left;
        margin-left: 25%;
        margin-right: auto;
    }


    #imageSection2 img {
        margin-top: 10%;
        width: 60%;
    }

    #div3 {
        width: 100vw;
        min-height: 70vh;
    }

    #div3 h5{
        padding-top: 5vh;
    }

    #slider {
        display: flex;
        white-space: nowrap;
        flex-direction: row;
        margin-top: 10vh;
        margin-bottom: 15vh;
        margin-left: 5vw;
        overflow-x: scroll;
        padding-bottom: 20px;
    }

    .sliderElement {
        width: 35vw;
        margin-right: 5vw;
    }

    .sliderElement img {
        width: 35vw;
        height: auto;
    }
    
    #div4 {
        width: 100vw;
        min-height: 80vh;
        flex-direction: column;
        margin-top: 5vh;
        padding-bottom: 10vh;
    }

    #textSection4 {
        display: flex;
        flex-direction: column;
    }

    #textSection4 h4 {
        width: 80%;
        margin-top: 5vh;
        text-align: right;
        margin-right: 15%;
        margin-left: auto;
    }

    #textSection4 h5 {
        width: 80%;
        text-align: right;
        margin-top: 5vh;
        margin-right: 15%;
        margin-left: auto;
    }

    #textSection4 h6 {
        width: 50%;
        text-align: right;
        margin-right: 15%;
        margin-left: auto;
    }

    #imageSection4 {
        flex-direction: row;
        width: 100vw;
        justify-content: space-around;
    }

    #linkSection9 img {
    width: 100px;
    height: auto;
}

    #imageSection4 img {
        width: 30%;
    }

    #clickMe {
        display: flex;
        width: 20%;
        margin-top: 2vh;
        flex-direction: column;
        height: auto;
        justify-content: center;
        align-items: center;
    }

    #clickMe img {
        width: 15%;
        height: auto;
    }

    #clickMe p {
        margin-top: 5px;
        font-weight: 500;
        color: #ff4d00;
    }

    #blackScreen {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.95);
    }

    #enlargedImage {
        max-width: 60vw;
        max-height: 50vh;
        position: fixed;
        top: 2.5vh;
        display: none;
        z-index: 9999;
        background-size: contain;
        background-position: center;
        background-repeat: no-repeat;
    }

    .imageDownload {
        width: 80px;
        height: auto;
    }

    #enlargedImage img {
        width: 100%;
        height: 100%;
    }

    #div5 {
        display: flex;
        flex-direction: row;
        align-items: center;
        width: 100vw;
        min-height: 60vh;
        margin: auto;
        margin-top: 5vh;
        background-color: #f2f2f2;
        color: #f2f2f2;
    }
    
    #imageSection5 {
        order: 1;
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
    }
    
    #imageSection5 img{
        width: 95%;
        margin: auto;
    }
    
    #textSection5
    {
        order: 2;
        width: 90%;
        color: black;
        text-align: center;
    }
    
    #textSection5 h5 {
        width: 90%;
        margin-left: auto;
        margin-right: auto;
        text-align: left;
    }

    #textSection5 h6 {
        text-align: left;
    }
    
    #div6 {
        width: 100vw;
        min-height: 80vh;
        padding-top: 5vh;
    }

    #div6 h4 {
        margin-bottom: 10vh;
    }
    #imageSection6 {
        display: flex;
        align-items:flex-start;
        flex-direction: row;
        justify-content: space-around;
    }

    .furnitureElement {
        width: auto;
        margin: 15px;
    }

    #videoSection {
        flex-direction: row;
        justify-content: space-around;
    }

    .videoSection {
        width: 30%;
        margin-bottom: 10px;
        height: auto;
    }
}